using Plots

theme(:juno)

begin
    plot(cosd.(0:30), label = "Vertical Thrust", legend = :topright)
    plot!(sind.(0:30), label = "Horizontal Thrust")
    vline!([10], label = "Pitch", line = (3, :dash))
    vline!([15], label = "Roll", line = (3, :dash))

    ylabel!("Percent of Thrust")
    xlabel!("Thruster Deflection")
    xticks!(0:5:45, string.(0:5:45) .* "°")
    yticks!(0:0.25:1, string.(0:25:100) .* "%")
    title!("Thrust at TVC Deflections")
end

savefig("TVCDef.png")
